# TODO
# - http://security.gentoo.org/glsa/glsa-200803-08.xml
#
# Conditional build:
%bcond_with	license_agreement	# generates package
%define		source_url	http://www.mplayerhq.hu/MPlayer/releases/codecs

%define		base_name	w32codec
%define		rel	1
Summary:	Binary compression/decompression libraries used by movie players
Summary(pl.UTF-8):	Binarne biblioteki do kompresji/dekompresji dla odtwarzaczy filmów
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
Version:	20110131
Release:	%{rel}%{?with_license_agreement:wla}
License:	Free for non-commercial use
Group:		Libraries
%if %{with license_agreement}
Source0:	%{source_url}/all-%{version}.tar.bz2
# NoSource0-md5:	303cf3cbf15e7084d1cfed3f0e3ef8e4
NoSource:	0
Provides:	avi-codecs
Obsoletes:	avi-codecs
Obsoletes:	w32codec-qt
%else
Source1:	http://svn.pld-linux.org/svn/license-installer/license-installer.sh
# Source1-md5:	329c25f457fea66ec502b7ef70cb9ede
Requires:	rpm-build-tools >= 4.4.37
Requires:	rpmbuild(macros) >= 1.544
Provides:	%{base_name}
%endif
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
AutoReqProv:	no

# avoid empty debuginfo package
%define		_enable_debug_packages	0

%description
Libraries required to compress/decompress content of movie files. They
are used by movie players, but can be used to create compressed movie
files.

%description -l pl.UTF-8
Biblioteki niezbędne do kompresji/dekompresji filmów. Są one
wykorzystywane przez odtwarzacze, ale mogą być użyte do tworzenia
kompresowanych plików z filmami.

%prep
%if %{with license_agreement}
%setup -q -n all-%{version}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@DATADIR@,%{_datadir}/%{base_name},g
' %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install
chmod +x $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

cp -a %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else
install -d $RPM_BUILD_ROOT%{_libdir}/codecs
cp -a *.* $RPM_BUILD_ROOT%{_libdir}/codecs
# essential of these are in in linuxcodec.spec
# (i.e. all except {atrc,cook,ddnt,dnet,drv[234]}.so.6.0 from rp9codecs-20050115 and vid_{cvid,cyuv,h26[13],iv{32,41,50}}.xa from xanimdlls-20040626
rm -f $RPM_BUILD_ROOT%{_libdir}/codecs/*.so*
rm -f $RPM_BUILD_ROOT%{_libdir}/codecs/*.xa
%endif

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if %{with license_agreement}
%{_libdir}/codecs
%else
%attr(755,root,root) %{_bindir}/w32codec.install
%{_datadir}/%{base_name}
%endif
%changelog
* Mon Apr 27 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/w32codec-installer.git;a=log;h=master

* Thu Aug 09 2012 Bartosz Świątek <shadzik@gmail.com> 45fd836
- updated to 20110131
Signed-off-by: Łukasz Kieś <kiesiu@pld-linux.org>

* Tue Oct 26 2010 Tomasz Pala <gotar@pld-linux.org> 3014209
- note: not all removed codecs are packaged in linuxcodec, just essential

* Tue Oct 26 2010 Tomasz Pala <gotar@pld-linux.org> afe260b
- upgraded to 20100303

* Mon Sep 27 2010 Elan Ruusamäe <glen@pld-linux.org> 4200af6
- skip empty debuginfo package

* Mon Sep 27 2010 Elan Ruusamäe <glen@pld-linux.org> 308c05a
- non-conflicting sources

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> fdcdf96
- use rpmbuild(macros) virtual, not direct package name

* Sun Apr 04 2010 pawelz <pawelz@pld-linux.org> f32584a
- license-installer.sh updated to r11289
- rel 6

* Sat Dec 26 2009 pawelz <pawelz@pld-linux.org> 075ac36
- typo

* Sat Dec 26 2009 pawelz <pawelz@pld-linux.org> 4bdd950
- switched to license-installer.sh from SVN/DistFiles

* Fri Dec 25 2009 pawelz <pawelz@pld-linux.org> 2814189
- versioned rpm-build-tools dep (>= 4.4.35) (new CVS layout)
- rel 5

* Fri Dec 25 2009 pawelz <pawelz@pld-linux.org> 2404abb
- adapted to new CVS layout
- rel 4

* Fri Dec 25 2009 pawelz <pawelz@pld-linux.org> 120729b
- don't hardcode package name. Even the correct one.

* Fri Dec 25 2009 pawelz <pawelz@pld-linux.org> 4480df3
- adapted to new CVS layout
- use the fastest compression (w1.gzdio) for temporary packages

* Mon Dec 07 2009 Elan Ruusamäe <glen@pld-linux.org> 3538b95
- .install script executable; rel 3

* Wed Sep 03 2008 arvenil <arvenil@pld-linux.org> fe2be2c
- release 2

* Fri Jun 20 2008 Karol Krenski <charles@pld-linux.org> 34e0100
- rm BR/R unzip

* Wed Mar 26 2008 Elan Ruusamäe <glen@pld-linux.org> 7b97656
- comment about linux codecs

* Wed Mar 05 2008 Elan Ruusamäe <glen@pld-linux.org> 8ab379e
- check multiple CVE-s

* Tue Feb 12 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> fa8dbd0
- up to 20071007

* Fri Aug 17 2007 Elan Ruusamäe <glen@pld-linux.org> 59b4e4d
- cosmetic

